# TdApi.UserStatusOffline

Package it.ernytech.tdlib

## Class TdApi.UserStatusOffline

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.UserStatus
    - - it.ernytech.tdlib.TdApi.UserStatusOffline

Enclosing class:
  TdApi

    public static class TdApi.UserStatusOffline
    extends TdApi.UserStatus

The user is offline.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `wasOnline` Point in time (Unix timestamp) when the user was last online.

### Constructor Summary

Constructors
`UserStatusOffline()` Default constructor.
`UserStatusOffline​(int wasOnline)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### wasOnline

    public int wasOnline

Point in time (Unix timestamp) when the user was last online.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UserStatusOffline

    public UserStatusOffline()

Default constructor.

#### UserStatusOffline

    public UserStatusOffline​(int wasOnline)

Constructor for initialization of all fields.

Parameters:
  `wasOnline` - Point in time (Unix timestamp) when the user was last online.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR